net.i2p.router.transport.udp

## Class SSU2Payload.RIBlock

- java.lang.Object
- - net.i2p.router.transport.udp.SSU2Payload.Block
  - - net.i2p.router.transport.udp.SSU2Payload.RIBlock

- Enclosing class:
    SSU2Payload

      public static class SSU2Payload.RIBlock
      extends SSU2Payload.Block

  Block containing router information data. Used to exchange router information during session establishment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RIBlock(byte[] ridata, boolean flood, boolean gzipped)` Whole thing
    `RIBlock(byte[] ridata, int off, int len, boolean flood, boolean gzipped, int frag, int total)` Fragment

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataLength()`
    `int` | `writeData(byte[] tgt, int off)`

    - ### Methods inherited from class net.i2p.router.transport.udp.SSU2Payload.Block

      `getTotalLength, getType, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RIBlock

          public RIBlock(byte[] ridata,
                         boolean flood,
                         boolean gzipped)

      Whole thing

    - #### RIBlock

          public RIBlock(byte[] ridata,
                         int off,
                         int len,
                         boolean flood,
                         boolean gzipped,
                         int frag,
                         int total)

      Fragment

  - ### Method Detail

    - #### getDataLength

          public int getDataLength()

      Specified by:
        `getDataLength` in class `SSU2Payload.Block`
      Returns:
        the size of the block, NOT including the 3 byte header (type and size)

    - #### writeData

          public int writeData(byte[] tgt,
                               int off)

      Specified by:
        `writeData` in class `SSU2Payload.Block`
      Returns:
        new offset